GDCM: gdcm::network::ULConnectionCallback Class Reference

GDCM 3.2.11

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
gdcm::network::ULConnectionCallback Class Referenceabstract

`#include <gdcmULConnectionCallback.h>`

Inheritance diagram for gdcm::network::ULConnectionCallback:
[legend]

## Public Member Functions
| ULConnectionCallback ()
virtual | ~ULConnectionCallback ()=default
bool | DataSetHandles () const
virtual void | HandleDataSet (const DataSet &inDataSet)=0
virtual void | HandleResponse (const DataSet &inDataSet)=0
void | ResetHandledDataSet ()
void | SetImplicitFlag (const bool imp)

## Protected Member Functions
void | DataSetHandled ()

## Protected Attributes
bool | mImplicit

## Detailed Description

When a dataset comes back from a query/move/etc, the result can either be stored entirely in memory, or could be stored on disk. This class provides a mechanism to indicate what the ULConnectionManager should do with datasets that are produced through query results. The ULConnectionManager will call the HandleDataSet function during the course of receiving datasets. Particular implementations should fill in what that function does, including updating progress, etc. NOTE: since cmove requires that multiple event loops be employed, the callback function MUST set mHandledDataSet to true. otherwise, the cmove event loop handler will not know data was received, and proceed to end the loop prematurely.

## Constructor & Destructor Documentation

## ◆ ULConnectionCallback()

gdcm::network::ULConnectionCallback::ULConnectionCallback | ( |  | ) |
| inline

References mImplicit.

## ◆ ~ULConnectionCallback()

virtual gdcm::network::ULConnectionCallback::~ULConnectionCallback | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ DataSetHandled()

void gdcm::network::ULConnectionCallback::DataSetHandled | ( |  | ) |
| inlineprotected

## ◆ DataSetHandles()

bool gdcm::network::ULConnectionCallback::DataSetHandles | ( |  | ) | const
| inline

## ◆ HandleDataSet()

virtual void gdcm::network::ULConnectionCallback::HandleDataSet | ( | const DataSet & | inDataSet | ) |
| pure virtual

Implemented in gdcm::network::ULBasicCallback, and gdcm::network::ULWritingCallback.

## ◆ HandleResponse()

virtual void gdcm::network::ULConnectionCallback::HandleResponse | ( | const DataSet & | inDataSet | ) |
| pure virtual

Implemented in gdcm::network::ULBasicCallback, and gdcm::network::ULWritingCallback.

## ◆ ResetHandledDataSet()

void gdcm::network::ULConnectionCallback::ResetHandledDataSet | ( |  | ) |
| inline

## ◆ SetImplicitFlag()

void gdcm::network::ULConnectionCallback::SetImplicitFlag | ( | const bool | imp | ) |
| inline

References mImplicit.

## Member Data Documentation

## ◆ mImplicit

bool gdcm::network::ULConnectionCallback::mImplicit
| protected

Referenced by ULConnectionCallback(), and SetImplicitFlag().

The documentation for this class was generated from the following file:

- gdcmULConnectionCallback.h